# SmartAdmin for ASP.NET Core

## Introduction

![SmartAdmin for ASP.NET Core 3.1](https://www.gotbootstrap.com/screenshots/smartadmin-aspnetcore-graphic-alt.png "SmartAdmin for ASP.NET Core 3.1")

&nbsp;

**SmartAdmin ASP.NET Core Flavor** – is an extension of the original SmartAdmin - WebApp that you are most likely familiar with – It contains all the great packages and plugins of the original [HTML Flavor](https://wrapbootstrap.com/theme/smartadmin-responsive-webapp-WB0573SK0?ref=walapa) with added advanced API's and features to support the ASP.NET Core community.

&nbsp;

### ASP.NET Core Features

- **ASP.NET Core 3.1** – SmartAdmin for ASP.NET Core is built ontop of the latest edition of ASP.NET Core and is both compatible with .NET Core 2.1 (LTS) and .NET Core 3.1 which comes with an incredible 30% performance boost right out of the box!
- **ASP.NET Identity** – Authentication and Security are enabled by default, the .NET Core 3.1 projects are all configured with Authentication and Authorization, as well as HTTPS support.
- **Database support** – Each Edition of SmartAdmin for ASP.NET Core comes with database support out of the box (SQL Lite, SQL Express and SQL Server).
- **Multiple projects** – Full, Seed, Bare and Slim projects for ASP.NET Core are included, each with their unique flavor of features to get you started quickly and adapt it to your own specific needs.
- **Actively Maintained** – We will continue to add new features to this package over time. Requests and feedback are always welcome!
- **Community Support Forum** – By purchasing a copy, you become part of a large community base, SmartAdmin was first released in 2014, we have a strong community and many contributors who are always eager to help on our [Support Forum](https://support.gotbootstrap.com/).

&nbsp;

**Package contents:**

- ASP.NET Core 3.1 Full Project
- ASP.NET Core 3.1 Seed Project
- ASP.NET Core 3.1 Bare Project
- ASP.NET Core 3.1 Slim Project

For more information, please refer to the [Editions](https://smartadmin-core.azurewebsites.net/aspnetcore/editions) page.

&nbsp;

**What is SmartAdmin?** – an advanced UI Bootstrap 4 Admin and Dashboard – is built for the next generation. It’s exceptional design contains vast collections of assorted reusable UI components integrated with the latest jQuery plugins and optimized to suit every modern web application project worldwide.

&nbsp;

**What is ASP.NET Core?** – a developer friendly platform made up of tools, programming languages, and libraries for building many different types of applications. It is a cross-platform, high-performance, open-source framework for building modern, cloud-based, Internet-connected applications.

&nbsp;

### Base Features

- Comes with the latest Bootstrap 4.x UI Toolkit and all of its improved features
- Futuristic design and UI concept
- Over 35 Layout Variations and 285 [layout combinations](https://smartadmin-core.azurewebsites.net/settings/layoutoptions) . Mix and atch layout options to create endless possibilities
- Change few variables to generate your [unique skin](https://smartadmin-core.azurewebsites.net/settings/skinoptions)
- Layout settings are automatically stored to `localStorage`. You can also push these settings to [your database](https://smartadmin-core.azurewebsites.net/settings/savingdb)
- Documentation, well descriptive code, and email support are included with your purchase
- All bootstrap components have been modified using 'non-destructive' method. You can change every aspect of the theme using variables.
- The theme also features unique custom components that work flawlessly with bootstrap's core components.
- All fonts and components use `REM` values as opposed to the outdated `PX` value. REM values gives you better control over your app's responsive behavior and adapt to the scaling of your users resolution.
- Comes with over 2500+ premium Icons. [FontAwesome Pro 5](https://smartadmin-core.azurewebsites.net/icons/fontawesomelight), a whopping $35 value, included FREE with your purchase!
- Create your own stack icons with our built-in unique [Icon Generator](https://smartadmin-core.azurewebsites.net/icons/stackgenerate)
- The [Table Generator](https://smartadmin-core.azurewebsites.net/tables/generatestyle) provides you with an option to generate your unique table style.
- All plugins are detachable. The plugins are separated based on importance and are not hard-coded to its core. Please see  [plugins page](https://smartadmin-core.azurewebsites.net/plugin/faq) for more details.
- [i18n ready](https://smartadmin-core.azurewebsites.net/plugin/i18next). The plugin is lazy-loaded using AJAX to pull in any local files.
- [It has a heart and it beats](https://smartadmin-core.azurewebsites.net/plugin/appcore). SmartAdmin comes with its own `app.config.js` file which can be customized to your needs.
- Supports the latest version of [Datatables](https://smartadmin-core.azurewebsites.net/datatables/basic).
- Added in our very own customized [Datatable Alt-Editor](https://smartadmin-core.azurewebsites.net/datatables/alteditor)
- Supports all the latest chart plugins available on the market. All our Chart libraries are MIT based: [Flot](https://smartadmin-core.azurewebsites.net/statistics/flot), [Chart.js](https://smartadmin-core.azurewebsites.net/statistics/chartjs), [Chartist.js](https://smartadmin-core.azurewebsites.net/statistics/chartist), [C3 Charts](https://smartadmin-core.azurewebsites.net/statistics/c3), [Peity](https://smartadmin-core.azurewebsites.net/statistics/peity), [Sparkline](https://smartadmin-core.azurewebsites.net/statistics/sparkline), [Easy Pie Chart](https://smartadmin-core.azurewebsites.net/statistics/easypiechart), and [Dygraphs](https://smartadmin-core.azurewebsites.net/statistics/dygraph)
- Exclusive [SmartPanel](https://smartadmin-core.azurewebsites.net/plugin/smartpanels) plugin lets you drag and drop panel position, change color, change state, refresh panels and a lot more, while utilizing `localStorage` to save all changes.
- Many different types of page views are included and we are dedicated to support many more in updates to come!
- All pages are print friendly and can be customized using print specific CSS classes
- Free updates for the life of the theme

&nbsp;

### Layout settings

- Fixed Header
- Fixed Navigation
- Minify Navigation
- Hide Navigation
- Top Navigation (no DOM changes required)
- Boxed Layout
- Bigger Content Font
- High Contrast Text (WCAG 2 AA)
- Daltonism (color vision deficiency)
- Preloader Inside
- Push Content (mobile only)
- No Overlay (mobile only)
- Off-Canvas (mobile only)
- Clean Page Background
- Hide Navigation Icons
- Disable CSS Animation
- Hide Info Card
- Hierarchical Navigation

&nbsp;

### Skin options

SmartAdmin for .NET Core 3.1 comes with 12 skin variations that can be applied either by default or through user choice. More variations of the themes can be created if the [HTML Edition](https://wrapbootstrap.com/theme/smartadmin-responsive-webapp-WB0573SK0?ref=walapa) has been purchased. Just change a few variables to generate your unique skin. You can follow our [video tutorial](https://www.youtube.com/watch?v=LwD-kYlZXtw) to try it out yourself!

&nbsp;

![SmartAdmin Responsive WebApp 4.0](https://www.gotbootstrap.com/screenshot-skins.png "SmartAdmin Responsive WebApp 4.0")

&nbsp;

### Third party plugins

- "bootstrap": "^4.3.1",
- "bootstrap-colorpicker": "^3.1.2",
- "bootstrap-datepicker": "^1.9.0",
- "bootstrap-daterangepicker": "^3.0.5",
- "bootstrap-markdown": "^2.10.0",
- "datatables.net-bs4": "^1.10.19",
- "jquery": "3.4.1",
- "jquery-ui": "^1.12.1",
- "moment": "^2.24.0",
- "pace-js": "^1.0.2",
- "select2": "4.0.9"
- And many more! Please see the full list on the [HTML Edition](https://wrapbootstrap.com/theme/smartadmin-responsive-webapp-WB0573SK0?ref=walapa) page.

**Note:** We will do our best to keep the list above updated and reflecting the actual contents of the package, however some differences might occur, if this should be the case then we will update the list as soon as possible.

&nbsp;

**ASP.NET Core provides the following benefits:**

- A unified story for building web UI and web APIs.
- Architected for testability.
- Razor Pages makes coding page-focused scenarios easier and more productive.
- Blazor lets you use C# in the browser alongside JavaScript. Share server-side and client-side app logic all written with .NET.
- Ability to develop and run on Windows, MacOS, and Linux.
- Open-source and community-focused.
- Integration of modern, client-side frameworks and development workflows.
- A cloud-ready, environment-based configuration system.
- Built-in dependency injection.
- A lightweight, high-performance, and modular HTTP request pipeline.
- Ability to host on Kestrel, (IIS, Nginx, Apache, Docker, or self-host in your own process.
- Side-by-side versioning.
- Tooling that simplifies modern web development.

&nbsp;

***Be smart in 2020 and go with SmartAdmin Responsive WebApp v4.0. It's Okay to be Smart!***
